script: |
  source minio.sh
  zar import -R s3://bucket/zartest babble.zson
  zar ls -R s3://bucket/zartest -ranges
  zar index create -R s3://bucket/zartest -q v
  echo ===
  zar zq -R s3://bucket/zartest -z "count()"
  zar find -R s3://bucket/zartest v=2 | zq -z "drop _log" -
  echo ===
  zar ls -R s3://bucket/zartest -relative | sort > t1
  (cd ./data/bucket/zartest; find zd -type d -regex ".*\.zar$") | sort > t2
  test -s t1 && test -s t2 && diff t1 t2 && echo ls matches

inputs:
  - name: babble.zson
    source: ../../../../ztests/suite/data/babble.zson
  - name: minio.sh
    source: ../../../../ztests/suite/s3/minio.sh

outputs:
  - name: stdout
    data: |
      [1587518620062237300-1587513611063914690]
      [1587513592062544400-1587508830068523240]
      ===
      {count:1000 (uint64)} (=0)
      {key:2,count:1 (uint64),first:2020-04-22T01:23:40.0622373Z,last:2020-04-22T00:00:11.06391469Z} (=0)
      ===
      ls matches
